X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

How do I stop Firefox from upgrading automatically?

Posted

I have tried all options under tools options advanced update and NONE of them disable automatic updates. Whichever one is selected, at some point Firefox will upgrade without getting user approval, which is complete and utter crap.

I have to maintain an application which must run on Firefox version 3.6, cannot be ported to any later version, and is only used to access the control application.

I'm sick and tired of having to uninstall and reinstall Firefox every time it goes in direct violation of my settings and updates itself automatically. Why even have a setting for this if hte setting is completely ineffectual?

Chosen solution

You can install an older portable Firefox version to access websites that do not work with the current Firefox release.


You can set the app.update.url prefs to an empty string on the about:config page to prevent Firefox from checking for updates.

Read this answer in context 2

Additional System Details

Installed Plug-ins

  • Garmin Communicator Plug-In 3.0.1.0
  • ActiveTouch General Plugin Container Version 105
  • Default Plug-in
  • Coupons, Inc. Coupon Printer DLL
  • Coupons, Inc. Coupon Printer Plugin
  • 1.5.0.1
  • Google Update
  • Shockwave Flash 11.3 r300
  • iTunes Detector Plug-in
  • GEPlugin
  • Picasa plugin
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Next Generation Java Plug-in 10.7.2 for Mozilla browsers
  • 4.1.10329.0
  • Virtual Earth 3D 4.00100226006 plugin for Mozilla
  • Windows Presentation Foundation (WPF) plug-in for Mozilla browsers
  • VLC media player Web Plugin 2.0.0
  • Adobe PDF Plug-In For Firefox and Netscape 10.1.2
  • Classic Java Plug-in 10.7.2 for Netscape and Mozilla
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • Npdsplay dll
  • DRM Store Netscape Plugin
  • DRM Netscape Network Object

Application

  • User Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2.17) Gecko/20110420 Firefox/3.6.17 ( .NET CLR 3.5.30729; .NET4.0C)

More Information

Application Basics
Name
Firefox
Version
3.6.17
Profile Directory
Open Containing Folder
Installed Plugins
about:plugins
Build Configuration
about:buildconfig
Extensions
Name
Version
Enabled
ID
Microsoft .NET Framework Assistant
1.2.1
true
{20a82645-c095-46ed-80e3-08825760534b}
Mozilla Archive Format
2.0.6
true
{7f57cf46-4467-4c2d-adfa-0cba7c507e54}
DownThemAll!
2.0.15
true
{DDC359D1-844A-42a7-9AA1-88A850A938A8}
DownThemAll! AntiContainer
1.0.1
true
anticontainer@downthemall.net
XULRunner
1.9.1
false
{32D0CB70-CE5D-4AFA-982E-094BBA21B83C}
Java Console
6.0.20
true
{CAFEEFAC-0016-0000-0020-ABCDEFFEDCBA}
Java Console
6.0.21
true
{CAFEEFAC-0016-0000-0021-ABCDEFFEDCBA}
Garmin Communicator
3.0.1
true
{195A3098-0BD5-4e90-AE22-BA1C540AFD1E}
YSlow
3.1.4
true
yslow@yahoo-inc.com
Firebug
1.7.3
true
firebug@software.joehewitt.com
Java Console
6.0.22
true
{CAFEEFAC-0016-0000-0022-ABCDEFFEDCBA}
XUL Cache
1.0
true
{81bb8d71-723d-4123-b561-4398b3c093af}
Java Console
6.0.26
true
{CAFEEFAC-0016-0000-0026-ABCDEFFEDCBA}
Java Console
7.0.01
true
{CAFEEFAC-0017-0000-0001-ABCDEFFEDCBA}
Photobucket Uploader
1.3.3
true
pbupload@photobucket.com
Test Pilot
1.2.2
true
testpilot@labs.mozilla.com
Ghostery
2.8.3
false
firefox@ghostery.com
Modified Preferences
Name
Value
accessibility.typeaheadfind.flashBar
0
browser.history_expire_days.mirror
180
browser.places.importBookmarksHTML
false
browser.places.smartBookmarksVersion
4
browser.startup.homepage
http://en-US.start3.mozilla.com/firefox?client=firefox-a&rls=org.mozilla:en-US:official
browser.startup.homepage_override.buildID
20120713134347
browser.startup.homepage_override.mstone
rv:1.9.2.17
browser.tabs.warnOnClose
false
browser.zoom.full
false
dom.disable_open_during_load
false
dom.max_chrome_script_run_time
0
extensions.lastAppVersion
3.6.17
general.useragent.extra.microsoftdotnet
( .NET CLR 3.5.30729; .NET4.0C)
network.cookie.prefsMigrated
true
network.http.sendRefererHeader
1
places.database.lastMaintenance
1349673062
places.history.expiration.transient_current_max_pages
53663
places.last_vacuum
1349760204
print.print_bgcolor
false
print.print_bgimages
false
print.print_command
print.print_downloadfonts
false
print.print_evenpages
true
print.print_in_color
true
print.print_margin_bottom
0.5
print.print_margin_left
0.5
print.print_margin_right
0.5
print.print_margin_top
0.5
print.print_oddpages
true
print.print_orientation
0
print.print_pagedelay
500
print.print_paper_data
0
print.print_paper_height
11.00
print.print_paper_size_type
1
print.print_paper_size_unit
0
print.print_paper_width
8.50
print.print_printer
Bullzip PDF Printer
print.print_reversed
false
print.print_scaling
1.00
print.print_shrink_to_fit
true
print.print_to_file
false
print.print_unwriteable_margin_bottom
0
print.print_unwriteable_margin_left
0
print.print_unwriteable_margin_right
0
print.print_unwriteable_margin_top
0
print.printer_Bullzip_PDF_Printer.print_bgcolor
false
print.printer_Bullzip_PDF_Printer.print_bgimages
false
print.printer_Bullzip_PDF_Printer.print_command
print.printer_Bullzip_PDF_Printer.print_downloadfonts
false
print.printer_Bullzip_PDF_Printer.print_edge_bottom
0
print.printer_Bullzip_PDF_Printer.print_edge_left
0
print.printer_Bullzip_PDF_Printer.print_edge_right
0
print.printer_Bullzip_PDF_Printer.print_edge_top
0
print.printer_Bullzip_PDF_Printer.print_evenpages
true
print.printer_Bullzip_PDF_Printer.print_footercenter
print.printer_Bullzip_PDF_Printer.print_footerleft
&PT
print.printer_Bullzip_PDF_Printer.print_footerright
&D
print.printer_Bullzip_PDF_Printer.print_headercenter
print.printer_Bullzip_PDF_Printer.print_headerleft
&T
print.printer_Bullzip_PDF_Printer.print_headerright
&U
print.printer_Bullzip_PDF_Printer.print_in_color
true
print.printer_Bullzip_PDF_Printer.print_margin_bottom
0.5
print.printer_Bullzip_PDF_Printer.print_margin_left
0.5
print.printer_Bullzip_PDF_Printer.print_margin_right
0.5
print.printer_Bullzip_PDF_Printer.print_margin_top
0.5
print.printer_Bullzip_PDF_Printer.print_oddpages
true
print.printer_Bullzip_PDF_Printer.print_orientation
0
print.printer_Bullzip_PDF_Printer.print_pagedelay
500
print.printer_Bullzip_PDF_Printer.print_paper_data
1
print.printer_Bullzip_PDF_Printer.print_paper_height
11.00
print.printer_Bullzip_PDF_Printer.print_paper_size_type
0
print.printer_Bullzip_PDF_Printer.print_paper_size_unit
0
print.printer_Bullzip_PDF_Printer.print_paper_width
8.50
print.printer_Bullzip_PDF_Printer.print_reversed
false
print.printer_Bullzip_PDF_Printer.print_scaling
1.00
print.printer_Bullzip_PDF_Printer.print_shrink_to_fit
true
print.printer_Bullzip_PDF_Printer.print_to_file
false
print.printer_Bullzip_PDF_Printer.print_unwriteable_margin_bottom
0
print.printer_Bullzip_PDF_Printer.print_unwriteable_margin_left
0
print.printer_Bullzip_PDF_Printer.print_unwriteable_margin_right
0
print.printer_Bullzip_PDF_Printer.print_unwriteable_margin_top
0
print.printer_HP_LaserJet_6P/6MP_PostScript.print_bgcolor
false
print.printer_HP_LaserJet_6P/6MP_PostScript.print_bgimages
false
print.printer_HP_LaserJet_6P/6MP_PostScript.print_command
print.printer_HP_LaserJet_6P/6MP_PostScript.print_downloadfonts
false
print.printer_HP_LaserJet_6P/6MP_PostScript.print_edge_bottom
0
print.printer_HP_LaserJet_6P/6MP_PostScript.print_edge_left
0
print.printer_HP_LaserJet_6P/6MP_PostScript.print_edge_right
0
print.printer_HP_LaserJet_6P/6MP_PostScript.print_edge_top
0
print.printer_HP_LaserJet_6P/6MP_PostScript.print_evenpages
true
print.printer_HP_LaserJet_6P/6MP_PostScript.print_footercenter
print.printer_HP_LaserJet_6P/6MP_PostScript.print_footerleft
&PT
print.printer_HP_LaserJet_6P/6MP_PostScript.print_footerright
&D
print.printer_HP_LaserJet_6P/6MP_PostScript.print_headercenter
print.printer_HP_LaserJet_6P/6MP_PostScript.print_headerleft
&T
print.printer_HP_LaserJet_6P/6MP_PostScript.print_headerright
&U
print.printer_HP_LaserJet_6P/6MP_PostScript.print_in_color
true
print.printer_HP_LaserJet_6P/6MP_PostScript.print_margin_bottom
0.5
print.printer_HP_LaserJet_6P/6MP_PostScript.print_margin_left
0.5
print.printer_HP_LaserJet_6P/6MP_PostScript.print_margin_right
0.5
print.printer_HP_LaserJet_6P/6MP_PostScript.print_margin_top
0.5
print.printer_HP_LaserJet_6P/6MP_PostScript.print_oddpages
true
print.printer_HP_LaserJet_6P/6MP_PostScript.print_orientation
0
print.printer_HP_LaserJet_6P/6MP_PostScript.print_pagedelay
500
print.printer_HP_LaserJet_6P/6MP_PostScript.print_paper_data
1
print.printer_HP_LaserJet_6P/6MP_PostScript.print_paper_height
11.00
print.printer_HP_LaserJet_6P/6MP_PostScript.print_paper_size_type
0
print.printer_HP_LaserJet_6P/6MP_PostScript.print_paper_size_unit
0
print.printer_HP_LaserJet_6P/6MP_PostScript.print_paper_width
8.50
print.printer_HP_LaserJet_6P/6MP_PostScript.print_reversed
false
print.printer_HP_LaserJet_6P/6MP_PostScript.print_scaling
1.00
print.printer_HP_LaserJet_6P/6MP_PostScript.print_shrink_to_fit
true
print.printer_HP_LaserJet_6P/6MP_PostScript.print_to_file
false
print.printer_HP_LaserJet_6P/6MP_PostScript.print_unwriteable_margin_bottom
0
print.printer_HP_LaserJet_6P/6MP_PostScript.print_unwriteable_margin_left
0
print.printer_HP_LaserJet_6P/6MP_PostScript.print_unwriteable_margin_right
0
print.printer_HP_LaserJet_6P/6MP_PostScript.print_unwriteable_margin_top
0
print.printer_Microsoft_XPS_Document_Writer.print_bgcolor
false
print.printer_Microsoft_XPS_Document_Writer.print_bgimages
false
print.printer_Microsoft_XPS_Document_Writer.print_command
print.printer_Microsoft_XPS_Document_Writer.print_downloadfonts
false
print.printer_Microsoft_XPS_Document_Writer.print_edge_bottom
0
print.printer_Microsoft_XPS_Document_Writer.print_edge_left
0
print.printer_Microsoft_XPS_Document_Writer.print_edge_right
0
print.printer_Microsoft_XPS_Document_Writer.print_edge_top
0
print.printer_Microsoft_XPS_Document_Writer.print_evenpages
true
print.printer_Microsoft_XPS_Document_Writer.print_footercenter
print.printer_Microsoft_XPS_Document_Writer.print_footerleft
&PT
print.printer_Microsoft_XPS_Document_Writer.print_footerright
&D
print.printer_Microsoft_XPS_Document_Writer.print_headercenter
print.printer_Microsoft_XPS_Document_Writer.print_headerleft
&T
print.printer_Microsoft_XPS_Document_Writer.print_headerright
&U
print.printer_Microsoft_XPS_Document_Writer.print_in_color
true
print.printer_Microsoft_XPS_Document_Writer.print_margin_bottom
0.5
print.printer_Microsoft_XPS_Document_Writer.print_margin_left
0.5
print.printer_Microsoft_XPS_Document_Writer.print_margin_right
0.5
print.printer_Microsoft_XPS_Document_Writer.print_margin_top
0.5
print.printer_Microsoft_XPS_Document_Writer.print_oddpages
true
print.printer_Microsoft_XPS_Document_Writer.print_orientation
0
print.printer_Microsoft_XPS_Document_Writer.print_pagedelay
500
print.printer_Microsoft_XPS_Document_Writer.print_paper_data
1
print.printer_Microsoft_XPS_Document_Writer.print_paper_height
11.00
print.printer_Microsoft_XPS_Document_Writer.print_paper_size_type
0
print.printer_Microsoft_XPS_Document_Writer.print_paper_size_unit
0
print.printer_Microsoft_XPS_Document_Writer.print_paper_width
8.50
print.printer_Microsoft_XPS_Document_Writer.print_reversed
false
print.printer_Microsoft_XPS_Document_Writer.print_scaling
1.00
print.printer_Microsoft_XPS_Document_Writer.print_shrink_to_fit
true
print.printer_Microsoft_XPS_Document_Writer.print_to_file
true
print.printer_Microsoft_XPS_Document_Writer.print_unwriteable_margin_bottom
0
print.printer_Microsoft_XPS_Document_Writer.print_unwriteable_margin_left
0
print.printer_Microsoft_XPS_Document_Writer.print_unwriteable_margin_right
0
print.printer_Microsoft_XPS_Document_Writer.print_unwriteable_margin_top
0
print.printer_\\HP\P1.print_bgcolor
false
print.printer_\\HP\P1.print_bgimages
false
print.printer_\\HP\P1.print_command
print.printer_\\HP\P1.print_downloadfonts
false
print.printer_\\HP\P1.print_edge_bottom
0
print.printer_\\HP\P1.print_edge_left
0
print.printer_\\HP\P1.print_edge_right
0
print.printer_\\HP\P1.print_edge_top
0
print.printer_\\HP\P1.print_evenpages
true
print.printer_\\HP\P1.print_footercenter
print.printer_\\HP\P1.print_footerleft
&PT
print.printer_\\HP\P1.print_footerright
&D
print.printer_\\HP\P1.print_headercenter
print.printer_\\HP\P1.print_headerleft
&T
print.printer_\\HP\P1.print_headerright
&U
print.printer_\\HP\P1.print_in_color
true
print.printer_\\HP\P1.print_margin_bottom
0.5
print.printer_\\HP\P1.print_margin_left
0.5
print.printer_\\HP\P1.print_margin_right
0.5
print.printer_\\HP\P1.print_margin_top
0.5
print.printer_\\HP\P1.print_oddpages
true
print.printer_\\HP\P1.print_orientation
0
print.printer_\\HP\P1.print_pagedelay
500
print.printer_\\HP\P1.print_paper_data
1
print.printer_\\HP\P1.print_paper_height
11.00
print.printer_\\HP\P1.print_paper_size_type
0
print.printer_\\HP\P1.print_paper_size_unit
0
print.printer_\\HP\P1.print_paper_width
8.50
print.printer_\\HP\P1.print_reversed
false
print.printer_\\HP\P1.print_scaling
1.00
print.printer_\\HP\P1.print_shrink_to_fit
true
print.printer_\\HP\P1.print_to_file
false
print.printer_\\HP\P1.print_unwriteable_margin_bottom
0
print.printer_\\HP\P1.print_unwriteable_margin_left
0
print.printer_\\HP\P1.print_unwriteable_margin_right
0
print.printer_\\HP\P1.print_unwriteable_margin_top
0
privacy.sanitize.migrateFx3Prefs
true
security.enable_tls
false
security.warn_viewing_mixed
false

cor-el
  • Top 10 Contributor
  • Moderator
10742 solutions 96657 answers

Chosen Solution

You can install an older portable Firefox version to access websites that do not work with the current Firefox release.


You can set the app.update.url prefs to an empty string on the about:config page to prevent Firefox from checking for updates.

Helpful Reply

Thanks!

Why don't the update settings work as designated?

Modified by brichter1

cor-el
  • Top 10 Contributor
  • Moderator
10742 solutions 96657 answers

You're welcome

I've never had any problems with the update setting in Firefox and I keep a lot of versions installed in case I need to start them in case there is a question about an older Firefox version or just want to check for possible regressions.

ffw62 2 solutions 19 answers

Some applications (like Sandboxie and Kaspersky Internet Security 2013) are not yet full compatible with FF 16.0.1 Within Sandboxie everything is going tremendously slow, download windows donot show up, Youtube sound is not working. Kaspersky add ons are not yet compatible.

I want to revert to v.15 keep current configuration, but the only thing is that I donot want FF to automatically update, but give notice about an update only.

Is it correct to understand that after re-installing v.15 I need to:

app.update.url delete current contents being:

https://aus3.mozilla.org/update/3/%PRODUCT%/%VERSION%/%BUILD_ID%/%BUILD_TARGET%/%LOCALE%/%CHANNEL%/%OS_VERSION%/%DISTRIBUTION%/%DISTRIBUTION_VERSION%/update.xml

app.update.url.details delete current contents being http://www.mozilla.com/%LOCALE%/%APP%/releases/

THANKS =

Question owner

So, even if you choose to not even check for Firefox updates, at some point you will be upgraded. During a browsing session, you will get a popup that states the latest version has been downloaded and will be applied when you restart, and you are given a choice to restart at that time or restart later.

That doesn't sound like the behavior of an option that clearly means FF will not even check for updates.

If it is not the developers' choice to deceive the user by the options provided, then this is a bug and I'm surprised it made it past QA. Perhaps your QA department is not as thorough as it should be...

ffw62 2 solutions 19 answers

Hm... thanks for the feedback. Maybe at one time in future there will be kind of upgrade/update postpone/reminder option - telling FF to remind the user again after xx days (say upto7 days). A bit similar as tasks-reminder in Outlook.

Anyway, thanks again. =

the-edmeister
  • Top 10 Contributor
  • Moderator
3195 solutions 24389 answers

ffw62 said - "Maybe at one time in future there will be kind of upgrade/update postpone/reminder option..."

I doubt if that will happen. Mozilla is working on silent updates for Firefox 17 )or 18), where is no notification at all. The update is downloaded and installed while Firefox is running; not even the current "notice" which suggests the update is needed. Then the next time the user launches Firefox the update appears. Basically the opposite of what you sound like you are looking to happen.


brichter1
Exactly which pref did you have set for Firefox not to automatically update? Plus, are you sure that pref is still set as you had it? The last 2 or 3 versions have had a pre-selected pref for Firefox to Automatically install updates, and if you didn't de-select that option in the update dialog box before you restarted Firefox to install the update, that pref you had set was probably toggled on.

dhwolfer 0 solutions 1 answers

Helpful Reply

I am very dissatisfied that the new FF automatically updates itself. If this cannot be turned off then you have just lost me as a user. This is the pits considering I have been a user ever since FF replaced NetScape. I do not want this so called feature. That is very arrogant to act like Microsoft in thinking you know better than the end user. FF used to be the way to go because it allowed users to decide for themselves what they want. Your strong arm attitude is NOT acceptable. Period.

acsmith1972 0 solutions 15 answers

That just happened to me today: it updated even though it's set not to. It IS really annoying that they make useless features like disabling automatic updates that don't disable automatic updates. I guess it's like pushing the elevator button twice. Stuff like this is why I use Chrome more and more.

Tyler Downer
  • Administrator
  • Moderator
1164 solutions 6634 answers

you are aware that chrome also updates automatically? and that anymore, disabling browser updates is a less and less wise move due to security risks?

Question owner

You realize that some of us need to keep an older version, either for compatibility with older apps or for testing purposes?

Tyler Downer
  • Administrator
  • Moderator
1164 solutions 6634 answers

You don't need Firefox 3.6 for testing anymore, such a small percentage of Internet users are on it that's useless to develop and test for it anymore (if you get people visiting your site using 3.6 you should display a prompt for them to update)

And for compatibility issues, any compatibility issues can be easily worked around (as long as your OS can run newer versions of Firefox) and Security is way more important than compatibility anyway.

Question owner

Really? Thanks for telling me what browser the different departments of the various government institutions we work with are using, and what browsers we need to keep around for our old (14+ years) internal applications because we don't have the capital to hire folks to constantly rewrite those applications.

You, sir, are very uninformed and should educate yourself as to how business actually works before posting drivel like this.

BTW, we have migrated most of our internal apps to FF9, but still see the issue when FF constantly tries to upgrade to 18. Thanks the stars that the FF developers understand how the real world works and have posted the workaround to this issue, it's obvious they know quite a bit more than you. We cannot force the government to upgrade, either.

Modified by brichter1

Tyler Downer
  • Administrator
  • Moderator
1164 solutions 6634 answers

If you are maintaining for an Enterprise, look into Firefox ESR. https://www.mozilla.org/firefox/organizations/. It's more meant for organizations, which it sounds like is your case. It, however, is not meant for individual users, who should be using Firefox 18

stevenusher 0 solutions 2 answers

brichter1 - I'm with you on this, I create E-learning courses for various global companies, most of whom update their infrastructure once in a blue moon as it's such a costly procedure.

I don't think Tylerdowner is understanding the issue. "who should be using Firefox 18.." that's a little arrogant don't you think? Why force a user to upgrade against their will?

For one client we still even need to test on Mozilla 2, so it's pretty clear that Tyler and Mozilla as a whole are quite embarrassingly detached from the real-world end-user.

John99
  • Top 25 Contributor
  • Moderator
622 solutions 8008 answers

When reading posts on this forum, please bear in mind our target audience.

I think it is a case that Mozilla Firefox mainly has a userbase of individual users that tend to appreciate all the thousands of extensions available. Possibly some of those users have little knowledge of security matters and anticipate the browser will keep them safe with minimal user input & decisions.

The introduction of ESR was in my opinion a bit of a U turn, apparently because Mozilla had suddenly realised that corporate/enterprise/education etc sectors were using Firefox; or more importantly were NOT using Firefox because of the problems the Rapid release cycle caused. With the benefit of 20/20 hindsight it is something that maybe should have been looked at earlier on.

Unfortunatly even if some large user uses old software, AND connects to the internet security is likely to be a problem. I know that can be mitigated by various means outside of the scope of discussion here.

This forum though is generally discussing matters as they affect individual users and not institutions with their own IT departments, and certainly is not trying to tell governments what software to run !!

The fact remains that on balance, for the average user, the best option is to upgrade; however for those wishing to enjoy their right to choice we have posted instructions above in this thread on how to prevent upgrades.

Modified by John99

stevenusher 0 solutions 2 answers

John99 - A balanced view, appreciated.

Of course your demographic is going to be predominantly individual users, but people are savvy, and people do not take kindly to being told what is happening to them, as opposed to them making their own informed choice.

Chrome has an aggressive updater, but its gets away with it largely because:

  1. the majority of people don't even know its happening, which is dependent on
  2. the fact that there are few major backwards compatibility issues. I say few, I have yet to come across one, but that certainly doesn't mean there aren't any of course.

The issue with FF's aggressive updater is that it renders many things obsolete. In a single morning I may have to install FF4 10 times, and each time I will have to download and install Firebug for that particular version, its incredibly frustrating, which is why I can understand the hostility from brichter1 to tylerdowner, as tylerdowner is clearly oblivious to the need for some developers to maintain previous versions, and the ramifications of doing so.

We may not be the chunk of your demographic, but we're developers that rely on your choices, and your choice has been to remove ours.

craiger 0 solutions 3 answers

'What you do is go to tools then options then advanced then you can choose to have ur updates or no updates pretty simple

edit Case Change: Looks better; and is polite if, all CAPITALs, are avoided.-J99

Modified by John99

Question owner

Hi, craiger.

Umm, no.

You really should read ALL the posts in a thread before you jump in, it'll save you some embarrassment more often than not. ;-)

IF you had read all the posts, you would have learned that even if you tell FF not to update, it will, at some point in the near future after the next version is released, upgrade FF without your consent or knowledge.

You won't even know it happened until you open the browser one day and you get the message that FF is installing the update, and when it's done you're presented with a web page telling you your browser has just been updated. :-(

Even the FF developers admit this is the case, and it's to protect people that aren't familiar with browsers and why they should or should not be upgraded (looks like you fall into this category, LOL).

However, some of us working in the industry have valid reasons not to upgrade at Mozilla's convenience, and for those of us, they have posted the workarounds above.

acsmith1972 0 solutions 15 answers

I finally deleted the lines for mozilla in about:config for the updater so now it has no idea where to go for an update and doesn't even bother trying.

It's still a memory whore, though. Right now one window in safe mode is using 1.4GB of memory. Chrome is using 64mb. And Chrome is in normal mode. IE is using 21mb. There's just no excuse for FF to use 6600% MORE memory than Internet Explorer. There was a day I checked ad it was using 3.5GB with one window open. This system only has 4GB of memory. I wound up having to end task and using another browser. I secretly think Mozilla is spying on us and that's why it uses so much memory.